import { getFeed } from '$lib/api/feed';
import { listItems, parseURLtoFilter } from '$lib/api/item';
import { fullItemFilter } from '$lib/state.svelte';
import type { PageLoad } from './$types';

export const prerender = false;

export const load: PageLoad = async ({ url, params }) => {
	const id = parseInt(params.id);
	const feed = getFeed(id);
	const filter = parseURLtoFilter(url.searchParams);
	filter.feed_id = id;
	Object.assign(fullItemFilter, filter);
	const items = listItems(filter);
	return { feed: feed, items: items };
};
